# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mit-commit-msg"
version = "6.4.2"
authors = ["Billie Thompson <billie+mit-commit-msg@billiecodes.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Validate the commit message that a user has input"
readme = "README.md"
keywords = [
    "git",
    "git-hooks",
]
categories = [
    "development-tools",
    "command-line-utilities",
]
license = "CC0-1.0"
repository = "https://github.com/PurpleBooth/git-mit"

[features]
default = []
vendored-openssl = ["openssl/vendored"]

[[bin]]
name = "mit-commit-msg"
path = "src/main.rs"
required-features = []

[dependencies.arboard]
version = "3"

[dependencies.clap]
version = "4"
features = [
    "derive",
    "cargo",
    "wrap_help",
    "env",
    "unicode",
]

[dependencies.clap_complete]
version = "4"

[dependencies.miette]
version = "7"
features = ["fancy"]

[dependencies.mit-commit]
version = "3"

[dependencies.mit-commit-message-lints]
version = "6"

[dependencies.mit-lint]
version = "4"

[dependencies.openssl]
version = "0.10"
optional = true

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = ["full"]

[dev-dependencies]
